Problema con apt-get

Imagen de Zeeleck
0 puntos

tengo un problema cuando tecleo el comando "apt-get update" me lanza este error:

E: Línea 2 mal formada en lista de fuentes /etc/apt/sources.list.d/edgy-universe.list (análisis de dist)

¿A qué se debe?

Deben tener en cuenta, que ahora no puedo actualizar :S

Imagen de Zeeleck
+1
0
-1

No sé si hice lo correcto, pero fuí hacia el destino y en modo "root" eliminé el archivo "edgy-universe.list" ahora si me deja actualizar ... pero no sé en que me perjudicará xDDDDDDDDD

Jajajajaja ...

Nota: estoy aprendiendo xDDDD

Ubuntu 6.10

+1
0
-1
Imagen de Javier M.
+1
0
-1

No hacia falta borrarla. El mensaje solo te dice que hay algo mal escrito.Intenta recuperarlo si esta todavia en la papelera y corriges lo que este mal en la linea 2

+1
0
-1
Imagen de Zeeleck
+1
0
-1

Bueno, y si se borró ¿Qué pasará? xDDDD y ¿cómo se corregiría en caso de que no se hubiese borrado?

Ubuntu 6.10

+1
0
-1
Imagen de Javier M.
+1
0
-1

Abre el sources.list sudo gedit /etc/apt/sources.list
Deberias de tenerlo asi mas lo que tu hayas añadido manualmente
deb cdrom:[Ubuntu 6.10 _Edgy Eft_ - Release i386 (20061025)]/ edgy main restricted

deb http://es.archive.ubuntu.com/ubuntu/ edgy main restricted universe multiverse
deb-src http://es.archive.ubuntu.com/ubuntu/ edgy main restricted universe multiverse

## Major bug fix updates produced after the final release of the
## distribution.
deb http://es.archive.ubuntu.com/ubuntu/ edgy-updates main restricted universe multiverse
deb-src http://es.archive.ubuntu.com/ubuntu/ edgy-updates main restricted universe multiverse

## Uncomment the following two lines to add software from the 'universe'
## repository.
## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## universe WILL NOT receive any review or updates from the Ubuntu security
## team.
deb http://es.archive.ubuntu.com/ubuntu/ edgy universe
deb-src http://es.archive.ubuntu.com/ubuntu/ edgy universe

## Uncomment the following two lines to add software from the 'backports'
## repository.
## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
# deb http://es.archive.ubuntu.com/ubuntu/ edgy-backports main restricted universe multiverse
# deb-src http://es.archive.ubuntu.com/ubuntu/ edgy-backports main restricted universe multiverse

deb http://security.ubuntu.com/ubuntu edgy-security main restricted universe multiverse
deb-src http://security.ubuntu.com/ubuntu edgy-security main restricted universe multiverse
deb http://security.ubuntu.com/ubuntu edgy-security universe
deb-src http://security.ubuntu.com/ubuntu edgy-security universe

+1
0
-1
Imagen de Javier M.
+1
0
-1

Si borras un repositorio, lo unico que pasa es que no te actualizara desde ese repositorio.
Por cierto, yo tambien estoy aprendiendo.

+1
0
-1
Imagen de Zeeleck
+1
0
-1

Bueno y ¿cómo puedo volver a conseguir en repositorio en caso que lo haya borrado?

bueno seguramente tu estás en otro nivel de aprendizaje xD

Ubuntu 6.10

+1
0
-1
Imagen de Javier M.
+1
0
-1

Pues nada, lo unico que tienes que hacer es volverlo a copiar en el sources.list
Los que yo te puse arriba son los que trae ubuntu en el cd. Si lo que quieres es añadir repositorios de programas por ejemplo, pues eso ya ddepende del programa, lo sbuscas por internet. Es decir, si tienes ubuntu recien instalado o no has añadido nada a los repositorios, tienes que tenerlo como el que te puse arriba (ubuntu edgy, claro). Y si quieres añadirle algo, pues simplemente copias el repositorio (despues de buscarlo por internet) dentro del source.list, guardas, cierras y sudo apt-get update

+1
0
-1
Imagen de Zeeleck
+1
0
-1

El problema estaba en el archivo "edgy-universe.list" no el "source.list"

le agregué en la linea 2 del archivo "edgy-universe.list" la palabra "universe"

Cuando me lanzaba el error estaba así:

# automatically added by gnome-app-install on 2007-02-22 14:21:19.609171
deb http://archive.ubuntu.com/ubuntu/ edgy

ahora lo corregí y lo tengo así:

# automatically added by gnome-app-install on 2007-02-22 14:21:19.609171
deb http://archive.ubuntu.com/ubuntu/ edgy universe

ahora puedo actualizar sin problemas ...

muchas gracias ... si no es por ti nunca logro solucionar el problema ...

Ubuntu 6.10

+1
0
-1
Imagen de Javier M.
+1
0
-1

De nada, me alegra que te sirviera. Por cierto, yo ese archivo ni siquiera lo tengo

+1
0
-1
Imagen de Zeeleck
+1
0
-1

Bueno el archivo yo lo tengo en esta dirección:

/etc/apt/sources.list.d

y dentro tengo 4 archivos ...

edgy-commercial.list
edgy-commercial.list.save
edgy-universe.list
edgy-universe.list.save

deberías tenerlos ... a menos que hayas acabado de instalar ubuntu (imagino yo) ...

Yo lo que pasa es que soy nuevo en esto del mundo del Linux no tengo ni 1 mes con Ubuntu-Linux, apenas me estoy acostumbrando a esto de no usar .exe xDDD

Bueno gracias y saludos, espero que soluciones tu problema con el disco duro por USB, o algo así leí en un tema tuyo ... me gustaría ayudarte pero yo es que ... ya lo sabes ...

hablamos ...

Ubuntu 6.10

+1
0
-1